Index: lemon/bits/alteration_notifier.h
===================================================================
--- lemon/bits/alteration_notifier.h	(revision 236)
+++ lemon/bits/alteration_notifier.h	(revision 230)
@@ -42,5 +42,5 @@
   ///
   /// The graph's node and edge sets can be changed as we add or erase
-  /// nodes and edges in the graph. LEMON would like to handle easily
+  /// nodes and edges in the graph. Lemon would like to handle easily
   /// that the node and edge maps should contain values for all nodes or
   /// edges. If we want to check on every indicing if the map contains
Index: lemon/concepts/path.h
===================================================================
--- lemon/concepts/path.h	(revision 236)
+++ lemon/concepts/path.h	(revision 220)
@@ -78,5 +78,5 @@
       void clear() {}
 
-      /// \brief LEMON style iterator for path arcs
+      /// \brief Lemon style iterator for path arcs
       ///
       /// This class is used to iterate on the arcs of the paths.
@@ -201,5 +201,5 @@
     /// If we would like to give back a real path from these
     /// algorithms then we should create a temporarly path object. In
-    /// LEMON such algorithms gives back a path dumper what can
+    /// Lemon such algorithms gives back a path dumper what can
     /// assigned to a real path and the dumpers can be implemented as
     /// an adaptor class to the predecessor map.
@@ -233,5 +233,5 @@
       typedef False RevPathTag;
 
-      /// \brief LEMON style iterator for path arcs
+      /// \brief Lemon style iterator for path arcs
       ///
       /// This class is used to iterate on the arcs of the paths.
@@ -260,5 +260,5 @@
       };
 
-      /// \brief LEMON style iterator for path arcs
+      /// \brief Lemon style iterator for path arcs
       ///
       /// This class is used to iterate on the arcs of the paths in
Index: lemon/lgf_reader.h
===================================================================
--- lemon/lgf_reader.h	(revision 236)
+++ lemon/lgf_reader.h	(revision 220)
@@ -19,5 +19,5 @@
 ///\ingroup lemon_io
 ///\file
-///\brief \ref lgf-format "LEMON Graph Format" reader.
+///\brief \ref lgf-format "Lemon Graph Format" reader.
 
 
@@ -2302,5 +2302,5 @@
   ///
   /// This class can be used to read the sections, the map names and
-  /// the attributes from a file. Usually, the LEMON programs know
+  /// the attributes from a file. Usually, the Lemon programs know
   /// that, which type of graph, which maps and which attributes
   /// should be read from a file, but in general tools (like glemon)
Index: lemon/lgf_writer.h
===================================================================
--- lemon/lgf_writer.h	(revision 236)
+++ lemon/lgf_writer.h	(revision 237)
@@ -19,5 +19,5 @@
 ///\ingroup lemon_io
 ///\file
-///\brief \ref lgf-format "LEMON Graph Format" writer.
+///\brief \ref lgf-format "Lemon Graph Format" writer.
 
 
@@ -935,5 +935,5 @@
     bool local_os;
 
-    Graph& _graph;
+    const Graph& _graph;
 
     std::string _nodes_caption;
Index: lemon/path.h
===================================================================
--- lemon/path.h	(revision 236)
+++ lemon/path.h	(revision 220)
@@ -83,5 +83,5 @@
     }
 
-    /// \brief LEMON style iterator for path arcs
+    /// \brief Lemon style iterator for path arcs
     ///
     /// This class is used to iterate on the arcs of the paths.
Index: lemon/unionfind.h
===================================================================
--- lemon/unionfind.h	(revision 236)
+++ lemon/unionfind.h	(revision 220)
@@ -498,5 +498,5 @@
     }
 
-    /// \brief LEMON style iterator for the representant items.
+    /// \brief Lemon style iterator for the representant items.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
@@ -550,5 +550,5 @@
     };
 
-    /// \brief LEMON style iterator for the items of a component.
+    /// \brief Lemon style iterator for the items of a component.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
@@ -808,5 +808,5 @@
     }
 
-    /// \brief LEMON style iterator for the classes.
+    /// \brief Lemon style iterator for the classes.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
@@ -860,5 +860,5 @@
     };
 
-    /// \brief LEMON style iterator for the items of a component.
+    /// \brief Lemon style iterator for the items of a component.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
@@ -1656,5 +1656,5 @@
     }
 
-    /// \brief LEMON style iterator for the items of a class.
+    /// \brief Lemon style iterator for the items of a class.
     ///
     /// ClassIt is a lemon style iterator for the components. It iterates
